Skip to main content
POST /v1/deployments/{id}/pause Pauses a deployment. Scheduled runs will not fire while paused. The deployment’s status becomes "paused" and paused_reason is set to {"type": "manual"}.

Path parameters

ParameterTypeDescription
idstringDeployment ID with the dep_ prefix

Headers

HeaderRequiredDescription
AuthorizationYesBearer $QODER_PAT
Content-TypeYesapplication/json

Request body

No request body is required.

Example request

curl -X POST "https://api.qoder.com/api/v1/cloud/deployments/dep_019ec556114c78f8b60ee34fcb98bf59/pause" \
  -H "Authorization: Bearer $QODER_PAT" \
  -H "Content-Type: application/json"

Example response

HTTP 200 OK Returns the full Deployment object with updated status.
{
  "agent": {
    "id": "agent_019eb4d4a06d747c865d5800b9c57ae2",
    "type": "agent",
    "version": 1
  },
  "archived_at": null,
  "created_at": "2026-06-14T08:53:32Z",
  "description": "Deployment created for API documentation verification",
  "environment_id": "env_019e64e01a137caf953ac2ac7b42ec5c",
  "id": "dep_019ec556114c78f8b60ee34fcb98bf59",
  "initial_events": [
    {
      "content": "Generate today's status report",
      "type": "user.message"
    }
  ],
  "metadata": {
    "cas_config": {
      "config": {
        "max_concurrent": 1,
        "max_retries": 0,
        "timeout_ms": 300000
      },
      "session_strategy": "new_session",
      "stats": {
        "consecutive_failures": 0,
        "last_triggered_at": "2026-06-14T08:54:06Z",
        "next_trigger_at": "2026-06-15T01:30:00Z",
        "total_failures": 0,
        "total_runs": 1
      }
    }
  },
  "name": "api-doc-verification-deployment-v2",
  "paused_reason": {
    "type": "manual"
  },
  "resources": [],
  "schedule": {
    "expression": "30 9 * * 1-5",
    "last_run_at": "2026-06-14T08:54:06Z",
    "timezone": "Asia/Shanghai",
    "type": "cron",
    "upcoming_runs_at": [
      "2026-06-15T01:30:00Z",
      "2026-06-16T01:30:00Z",
      "2026-06-17T01:30:00Z",
      "2026-06-18T01:30:00Z",
      "2026-06-19T01:30:00Z"
    ]
  },
  "status": "paused",
  "type": "deployment",
  "updated_at": "2026-06-14T08:54:22Z",
  "vault_ids": []
}

Errors

HTTPTypeTrigger
401authentication_errorPAT invalid or expired
404not_found_errorDeployment does not exist
409conflict_errorDeployment is already paused
See Errors for the full error envelope.

Unpause a deployment

Resume scheduling from a paused state.

Archive a deployment

Permanently terminate the deployment.

Get a deployment

Inspect the deployment’s current status and configuration.

Errors reference

All API error codes and the error envelope convention.